Package twisted :: Package spread :: Module newjelly :: Class _Jellier

[frames | no frames]

## Class _Jellier

(Internal) This class manages state for a call to jelly()

Method Summary
| ``__init__`(self, taster, persistentStore, invoker)` Initialize.
| `_checkMutable(self, obj, refId)`
| `jelly(self, obj)`
| `prepare(self, obj)`
| `preserve(self, obj, jlist)`
| ``unpersistable`(self, reason, sxp)` (internal) Returns an sexp: (unpersistable "reason").

Class Variable Summary
`dict` | `constantTypes` = `{<type 'str'>: 1, <type 'int'>: 1, <type...`

Method Details

### __init__(self, taster, persistentStore, invoker)
(Constructor)

Initialize.

### unpersistable(self, reason, sxp=None)

(internal) Returns an sexp: (unpersistable "reason"). Utility method for making note that a particular object could not be serialized.

Class Variable Details

### constantTypes

  Type:
    `dict`
  Value:

        {<type 'str'>: 1, <type 'int'>: 1, <type 'float'>: 1, <type 'long'>: 1\
        }

Generated by Epydoc 2.0 on Sat May 15 20:08:38 2004 | http://epydoc.sf.net